package com.mnbigview;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;

import java.io.IOException;
import java.io.InputStream;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        // jvm gc算法 app开发 handler binder app的启动流程 ams pms（系统级别的玩意）
        // 是不是都是能够独立开发 从0-1开发一个项目；
        // 独立开发完之后，能够对项目进行优化的(app加固，安全优化，内存优化，oom崩溃收集，优化；app启动优化，UI优化)
        // 独立开发框架 网络 图片加载 进程间通信框架 数据库框架
        // UI 自定义View、ViewGroup
        // JVM 内存 线程 核心的java基础
        // 90%的android开发工程师 不懂ndk开发；
        MNBigView bigView = findViewById(R.id.mvView);
        try {
            InputStream is = getAssets().open("aaa.png");
            bigView.setImage(is);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}